execute at @e[tag=spawn3] run particle minecraft:dust 1 1 0 1 ~ ~2.5 ~ .3 .5 .3 1 1

execute as @a store result score @s AM.PlayerY run data get entity @s Pos[1]

## Terrain Generation ## 

execute at @r if score #Spawn AM.Timer matches 32 unless entity @e[tag=Marker,distance=..16] run function asphodel:meadows/terrain_gen

execute if score #Spawn AM.Timer matches 1 as @e[tag=Marker] run function asphodel:meadows/align

execute if score #Spawn AM.Timer matches 3 as @e[tag=Marker] run function asphodel:meadows/spawn_gen

execute if score #Spawn AM.Timer matches 5 as @e[tag=gen] at @s if block ~ ~ ~ minecraft:obsidian run kill @s

execute if score #Spawn AM.Timer matches 7 as @e[tag=gen] at @s run function asphodel:meadows/layers/layer1
execute if score #Spawn AM.Timer matches 9 as @e[tag=gen] at @s run function asphodel:meadows/layers/layer2
execute if score #Spawn AM.Timer matches 11 as @e[tag=gen] at @s run function asphodel:meadows/layers/layer3
execute if score #Spawn AM.Timer matches 13 as @e[tag=gen] at @s run function asphodel:meadows/layers/layer4
execute if score #Spawn AM.Timer matches 15 as @e[tag=gen] at @s run function asphodel:meadows/layers/layer5
execute if score #Spawn AM.Timer matches 17 as @e[tag=gen] at @s run function asphodel:meadows/layers/layer6
execute if score #Spawn AM.Timer matches 19 as @e[tag=gen] at @s run function asphodel:meadows/layers/spawn_trees
execute if score #Spawn AM.Timer matches 21 as @e[tag=gen] at @s run function asphodel:meadows/layers/check_trees
execute if score #Spawn AM.Timer matches 23 as @e[tag=gen] at @s run function asphodel:meadows/layers/layer7

execute if score #Spawn AM.Timer matches 25 as @e[tag=gen] at @s run function asphodel:meadows/layers/layer8
execute if score #Spawn AM.Timer matches 27 as @e[tag=gen] at @s run function asphodel:meadows/layers/layer9
execute if score #Spawn AM.Timer matches 29 as @e[tag=gen] at @s run function asphodel:meadows/layers/layer10
execute if score #Spawn AM.Timer matches 31 as @e[tag=gen] at @s run function asphodel:meadows/layers/layer11

execute if score #Spawn AM.Timer matches 32 run kill @e[name=Marker]

# Spawn Timer # 

execute if score #Spawn AM.Timer matches 33.. run scoreboard players set #Spawn AM.Timer 0 

scoreboard players add #Spawn AM.Timer 1

execute in the_nether as @e[type=!minecraft:player] if block ~ ~-1 ~ #asphodel:lava run effect give @s minecraft:wither 1 1 

execute at @e[name=Spawn] positioned ~ ~1 ~ as @a[distance=..1] run function asphodel:meadows/portal_out

execute as @a at @s if block ~ ~-1 ~ #asphodel:lava run effect give @s minecraft:wither 1 1 true

# Spawn Check # 

# Shroud #

execute as @e[type=minecraft:zombie_pigman] at @s positioned ~ 128 ~ if entity @s[dy=128] run function asphodel:mobs/spawn_shroud

# Phantom #

execute as @e[type=minecraft:ghast] at @s positioned ~ 128 ~ if entity @s[dy=128] run function asphodel:mobs/spawn_phantom
